<?php

include "control_web.inc";
include "gdwebdef.php";

$playtp = set_get_cookie($setplaytp, "playtp", "dl", $HTTP_COOKIE_VARS);

print_header ("browse", "", "$cgi_dir", "$char_set");


  $link =  mysql_connect( MYSQL_HOST, MYSQL_USER );
  if ( ! $link )
      die( "Keine Verbindung zu MySQL" );

#######################################################################################
### Constants
$trunclen = 30; # characters

function write_genres($prefix, $selgenre, $shgenre)
# displays a part of the genre tree.
# '$selgenre' specifies, which genre is selected (will be highlighted).
# '$shgenre' specifies the deepest genre node in the hierarchy that should be opened/printed
{
  $whereclause = " id LIKE '_' "; # always show the first level
  $i = strlen($shgenre);
  while ($i >= 1){
    $whereclause .= " OR id LIKE '".substr($shgenre, 0, $i)."_' ";
    $i--;
  }

  $qrystr = "SELECT * FROM genre WHERE $whereclause ORDER BY id";
  $recset = mysql_db_query ("GiantDisc", $qrystr);
  print "\n<div class='genrebox'>";
  while($row = mysql_fetch_array($recset)) {
    print str_repeat("&nbsp;", (strlen($row["id"])-1)*4);  # indents
    $pos = strpos($shgenre, $row["id"]);  # is current id a prefix of $shgenre?
    if ($pos!==false and $pos==0){# are we in the open branch?
      $imgdir = "tri-d.png";
      $opengen = substr ($row["id"], 0, strlen($row["id"])-1); # chop off last char
    }else{
      $imgdir = "tri-r.png";
      $opengen = $row["id"];
    }
    # print triangle
    print "<a href='$prefix&shgn=$opengen'><img src='img/$imgdir'></a>&nbsp;"; # ignore $l1: show no results when tree is changed
    # print genre text
    print "<a ".($row["id"]==$selgenre ? "class='selected'":"")
               ." href='".$prefix.$row["id"]."&shgn=$shgenre'>".$row["genre"]."</a><br>";
  }
  print "</div>";
}



function write_artistlink($prefix, $artist)
{
  global $trunclen;
  if (strlen($artist)>$trunclen){
    $art = substr($artist, 0, $trunclen);
    $appendix="..";
  }
  else{
    $art = $artist;
    $appendix="";
  }
#  print "<a class=\"brslst\" href=\"".$prefix.urlencode($art)."\">"
#        .htmlentities($art).$appendix."</a>&nbsp; ";
  print "<a class=\"brslst\" href=\"".$prefix.urlencode($art)."\">"
        .$artist."</a>&nbsp; ";

}


#######################################################################################

?>

<p>

<?php

### Show first level:
print "<table class='browsemenu'>";
print "<tr>";
print "<td><small><b><a href=\"browse.php?l0=tr-ar\">Tracks by Artist</a></b></small></td>";
print "<td><small><b><a href=\"browse.php?l0=tr-ti\">Tracks by Title</a></b></small></td>";
print "<td><small><b><a href=\"browse.php?l0=tr-gn\">Tracks by Genre</a></b></small></td>";
print "<td><small><b><a href=\"browse.php?l0=s_tr\">Single Tracks</a></b></small></td>";
print "</tr>";
print "<tr>";
print "<td><small><b><a href=\"browse.php?l0=al-ar\">Albums by Artist</a></b></small></td>";
print "<td><small><b><a href=\"browse.php?l0=al-ti\">Albums by Title</a></b></small></td>";
print "<td><small><b><a href=\"browse.php?l0=al-gn\">Albums by Genre</a></b></small></td>";
print "<td><small><b><a href=\"browse.php?l0=allalb&pg=1\">all Albums</a></b></small></td>";
print "<td><small><b><a href=\"browse.php?l0=playlist\">Playlist</a></b></small></td>";
print "</tr>";
print "</table>";


$qrystr = ""; # clear query string

if (isset($l0)){

  ### Tracks by Artist
  if (strcmp($l0, "tr-ar")==0){
    print "<h4>Tracks by Artist</h4>";
    write_alphabet("browse.php?l0=tr-ar&l1=", $l1);
    if (isset($l1)){ # level 1 specified?
      $tempquery = "SELECT DISTINCT artist FROM tracks WHERE artist LIKE '$l1%' ORDER BY artist";
      $recset = mysql_db_query ("GiantDisc", $tempquery);
      if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." artists</small><br>");}
      while($row = mysql_fetch_array($recset)) {
	    write_artistlink("browse.php?l0=tr-ar&l1=$l1&ar=", $row["artist"]);
      }

	  if (isset($ar)){ # artist / level 2 specified?
        $qrystr = "SELECT * FROM tracks WHERE artist LIKE '$ar%' ORDER BY title ";
      }
	}
  }


  ### Tracks by Title
  if (strcmp($l0, "tr-ti")==0){
    print "<h4>Tracks by Title</h4>";
    write_alphabet("browse.php?l0=tr-ti&l1=", "");
	if (isset($l1)){ # level 1 specified?
      $qrystr = "SELECT * FROM tracks WHERE title LIKE '$l1%' ORDER BY title ";
	}
  }


  ### Tracks by Genre
  if (strcmp($l0, "tr-gn")==0){
    print "<h4>Tracks by Genre</h4>";
    write_genres("browse.php?l0=tr-gn&l1=", $l1, $shgn);
	if (isset($l1) and strlen($l1)>0 ){ # level 1 specified?
      $qrystr = "SELECT * FROM tracks WHERE genre1 LIKE '$l1%' or genre2 LIKE '$l1%' ORDER BY artist ";
	}
  }


  ### Albums by Artist
  if (strcmp($l0, "al-ar")==0){
    print "<h4>Albums by Artist</h4>";
    write_alphabet("browse.php?l0=al-ar&l1=", $l1);
    if (isset($l1)){ # level 1 specified?
      $tempquery = "SELECT DISTINCT artist FROM album WHERE artist LIKE '$l1%' ORDER BY artist";
      $recset = mysql_db_query ("GiantDisc", $tempquery);
      if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." artists</small><br>");}
      while($row = mysql_fetch_array($recset)) {
	    write_artistlink("browse.php?l0=al-ar&l1=$l1&ar=", $row["artist"]);
      }

	  if (isset($ar)){ # artist / level 2 specified?
        $tempquery = "SELECT * FROM album WHERE artist LIKE '$ar%' ORDER BY title";
        $recset = mysql_db_query ("GiantDisc", $tempquery);
        if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." albums</small><br>");}
        print "<table borders=\"0\">";
        while($row = mysql_fetch_array($recset)) {
	      write_albumlink("browse.php?l0=al-ar&l1=$l1&ar=$ar&albid=", $row, $showedit, $output080);
        }
        print "</table>";
      }

	  if (isset($albid)){ # albumid / level 3 specified?
        $qrystr = "SELECT * FROM tracks WHERE sourceid = '$albid' ORDER BY tracknb ";
      }
	}
  }


  ### Albums by Title
  if (strcmp($l0, "al-ti")==0){
    print "<h4>Albums by Title</h4>";
    write_alphabet("browse.php?l0=al-ti&l1=", $l1);
    if (isset($l1)){ # level 1 (initial char) specified?
      $tempquery = "SELECT * FROM album WHERE title LIKE '$l1%' ORDER BY title";
      $recset = mysql_db_query ("GiantDisc", $tempquery);
      if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." albums</small><br>");}
      print "<table borders=\"0\">";
      while($row = mysql_fetch_array($recset)) {
      write_albumlink("browse.php?l0=al-ti&l1=$l1&albid=", $row, $showedit);
      }
      print "</table>";
    }

    if (isset($albid)){ # albumid / level 2 specified?
      $qrystr = "SELECT * FROM tracks WHERE sourceid = '$albid' ORDER BY tracknb ";
    }
  }


  ### Albums by Genre
  if (strcmp($l0, "al-gn")==0){
    print "<h4>Albums by Genre</h4>";
    write_genres("browse.php?l0=al-gn&l1=", $l1, $shgn);
	if (isset($l1) and strlen($l1)>0 ){ # level 1 specified?
      $tempquery = "SELECT * FROM album WHERE genre LIKE '$l1%' ORDER BY artist";
      $recset = mysql_db_query ("GiantDisc", $tempquery);
      #if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." albums</small><br>");}
      print("<p><small>".mysql_affected_rows()." albums</small><br>");
      print "<table borders=\"0\">";
      while($row = mysql_fetch_array($recset)) {
      write_albumlink("browse.php?l0=al-gn&l1=$l1&shgn=$shgn&albid=", $row, $showedit);
      }
      print "</table>";
    }

    if (isset($albid)){ # albumid / level 2 specified?
      $qrystr = "SELECT * FROM tracks WHERE sourceid = '$albid' ORDER BY tracknb ";
    }
  }

  ### all Albums
  if (strcmp($l0, "allalb")==0){
    print "<h4>all Albums</h4>";

	if ($albid == 0){
	  $tempquery = "SELECT * FROM album ORDER BY artist";
      $recset = mysql_db_query ("GiantDisc", $tempquery);
      if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." albums</small><br>");}
      print "<small>page: ";

	  $anz_reihen = mysql_affected_rows();
	  $a = 0;
	  $b = 1; # erste Seite
	  $showmax = 50;
	  for ($b=1; $b*$showmax <= $anz_reihen; $b++){
	  if ($pg == $b)
	  	{
		print "$b ";
		}
	  else
	  	{
		print "<a href=\"browse.php?l0=allalb&pg=$b\">$b</a> ";
		}
	  }
	  $b--;

	  if ($anz_reihen > $b*$showmax){
	  $b++;
	  if ($pg == $b)
	  	{
		print "$b ";
		}
	  else
	  	{
		print "<a href=\"browse.php?l0=allalb&pg=$b\">$b</a> ";
		}

	  }


	  $pg--;
	  print "</small></p>";

      print "<hr>";

      print "<table borders=\"0\">";
      while($row = mysql_fetch_array($recset)) {
		$albumrecord = $row;
#		print "$albumrecord[1]";
#		print "$showedit";
# write_albumlink("browse.php?l0=al-ti&l1=$l1&albid=", $row, $showedit);
##################
		$a++;

		#if ($a <= 1+$showmax AND $a >= 1)
		if ($a >= 1+$pg*$showmax AND $a <= $showmax+$pg*$showmax)
		{
		print "<tr>";  #<tr class="lnodd"   ...even>
		print "<td class=\"trklst\">";
			# Cover ausgeben
			if (strlen($albumrecord["coverimg"])>1){
				$imgpath = full_mp3_fname($albumrecord["coverimg"]);
# 80*80 vom Cover anzeigen
        $pfad = getenv('DOCUMENT_ROOT');
        $teil_str = explode("/", $imgpath);
        $cover = $teil_str[3];
        $teil_cover = explode(".", $cover);
        $cover_a = array( '/', $teil_str[1], '/', $teil_str[2], '/', $teil_cover[0], '-t', '.', $teil_cover[1] );
        $cover_l = array( $pfad, '/', $teil_str[1], '/', $teil_str[2], '/', $teil_cover[0], '-t', '.', $teil_cover[1] );
        $cover_t = implode("", $cover_a);
        $link_ct = implode("", $cover_l);

        if (file_exists($link_ct)){
          #print "Ja!<br>";
  	      print "<a href=\"$imgpath\">";
          print "<img width=\"80\" src=\"".$cover_t."\" height=\"80\" border=\"0\">";
  	      print "</a>";     
        }
        else{
          #print "Nein!<br>";
          # Tumbnail berechnen
          $pichoehe = 80; // 80 Pixel soll Bild hoch sein
          // Bilddaten feststellen
          #$size=getimagesize("/srv/www/htdocs"."$imgpath");
          $size=getimagesize("$pfad"."$imgpath");
          $breite=$size[0];
          $hoehe=$size[1];

          $neueHoehe=$pichoehe; 
          $neueBreite=intval($breite*$neueHoehe/$hoehe);

          #print "$pfad<br>";
          #print "$size[0]<br>";
          #print "$size[1]<br>";
          #print "$neueBreite<br>";
          #print "$neueHoehe<br>";

          if($size[2]==1) {
          // Es ist ein GIF
          $altesBild=ImageCreateFromGIF("$pfad"."$imgpath");
          $neuesBild=ImageCreateTrueColor($neueBreite,$neueHoehe);
          ImageCopyResized($neuesBild,$altesBild,0,0,0,0,$neueBreite,$neueHoehe,$breite,$hoehe);
          ImageJPEG($neuesBild,"$pfad"."$cover_t");
          }
          
          if($size[2]==2) {
          // Es ist ein JPG
          $altesBild=ImageCreateFromJPEG("$pfad"."$imgpath");
          $neuesBild=ImageCreateTrueColor($neueBreite,$neueHoehe);
          ImageCopyResized($neuesBild,$altesBild,0,0,0,0,$neueBreite,$neueHoehe,$breite,$hoehe);
          ImageJPEG($neuesBild,"$pfad"."$cover_t");
          }
          
          if($size[2]==3) {
          // Es ist ein PNG
          $altesBild=ImageCreateFromPNG("$pfad"."$imgpath");
          $neuesBild=ImageCreateTrueColor($neueBreite,$neueHoehe);
          ImageCopyResized($neuesBild,$altesBild,0,0,0,0,$neueBreite,$neueHoehe,$breite,$hoehe);
          #ImageCopyResampled($neuesBild,$altesBild,0,0,0,0,$neueBreite,$neueHoehe,$breite,$hoehe);
          ImagePNG($neuesBild,"$pfad"."$cover_t");
          }

          # Ende Tumbnail berechnen 
  	      print "<a href=\"$imgpath\">";
          print "<img width=\"80\" src=\"".$cover_t."\" height=\"80\" border=\"0\">";
  	      print "</a>";
          #print "<a href=\"$imgpath\">";
          #print "<img width=\"80\" src=\"".$imgpath."\" height=\"80\" border=\"0\">";
  	      #print "</a>";    
        }
            
        #print "$imgpath<br>";
        #print "$teil_str[3]<br>";
        #print "$cover_t<br>";
        #print "$link_ct<br>";

			}
			else
			{
				$imgpath = "img/no-img-sm.gif";
				print "<a href=\"$imgpath\">";
				print "<img width=\"80\" src=\"".$imgpath."\" height=\"80\" border=\"0\">";
				print "</a>";
			}
			print "</td>";
			# Artist - Album Name
			print "<td class=\"trklst\">".$albumrecord["artist"]."</td>";
			print "<td class=\"trklst\"> - </td>";
			# Link zum Album
			$prefix = "browse.php?l0=thisalb&albid=";
			print "<td><a class=\"brslst\" href=\"".$prefix.$albumrecord["cddbid"]."\">"
			.$albumrecord["title"]."</a></td> ";

#			if (strlen($prefix)>0){
#				print "<td><a class=\"brslst\" href=\"".$prefix.$albumrecord["cddbid"]."\">"
#				.$albumrecord["title"]."</a></td> ";
#			}
#			else{
#				print "<td class=\"trklst\">".$albumrecord["title"]."link</td> ";
#			}
#  if ($showedit){
#    print "<td class=\"trklst\">&nbsp;<a href=\"gdeditalbum.php?cddbid="
#		   		.$albumrecord["cddbid"]."\" target=\"_blank\">"
#				."<img border=\"0\" src=\"img/edit-c.gif\" alt=\"Edit\"></a></td>";
#  }

  #Album-Playlist-Link (by Merlot)
  print "<td class=\"trklst\">&nbsp;<a href=\"gdtrid2mp3.php?playtp=pr"
        ."&prAlbum=1" #don't use a new value for $playtp, it would interfere with cookie-settings
        ."&albid=".$albumrecord["cddbid"]
        ."&id=1"
        ."\">"."<img border=\"0\" src=\"img/dl.gif\" alt=\"Download\" title=\"$output080\"></a></td>";

			print "</tr>";
		}
##################
      }
      print "</table>";

	  print "<hr>";
      if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." albums</small><br>");}
      print "<small>page: ";
	  $pg++;
	  $a = 0;
	  $b = 1; # erste Seite
	  $showmax = 50;
	  for ($b=1; $b*$showmax <= $anz_reihen; $b++){
	  if ($pg == $b)
	  	{
		print "$b ";
		}
	  else
	  	{
		print "<a href=\"browse.php?l0=allalb&pg=$b\">$b</a> ";
		}
	  }
	  $b--;

	  if ($anz_reihen > $b*$showmax){
	  $b++;
	  if ($pg == $b)
	  	{
		print "$b ";
		}
	  else
	  	{
		print "<a href=\"browse.php?l0=allalb&pg=$b\">$b</a> ";
		}

	  }

	  $pg--;
	  print "</small></p>";

	  $pg--;
	}
  }

    ### This Album ###
  if (strcmp($l0, "thisalb")==0){
#    print "<h4>This Album</h4>";
	$tempquery = "SELECT * FROM album WHERE cddbid LIKE '%$albid'";
    $recset = mysql_db_query ("GiantDisc", $tempquery);
	$a = 0;
	$anz_reihen = mysql_affected_rows();
	print "<hr>";
      print "<table borders=\"0\">";
      while($row = mysql_fetch_array($recset)) {
		$albumrecord = $row;
		$a++;
		print "<tr>";
		print "<td class=\"trklst\">";
			# Cover ausgeben
			if (strlen($albumrecord["coverimg"])>1){
				$imgpath = full_mp3_fname($albumrecord["coverimg"]);

# 80*80 vom Cover anzeigen
  $pfad = getenv('DOCUMENT_ROOT');
  $teil_str = explode("/", $imgpath);
  $cover = $teil_str[3];
  $teil_cover = explode(".", $cover);
  $cover_a = array( '/', $teil_str[1], '/', $teil_str[2], '/', $teil_cover[0], '-t', '.', $teil_cover[1] );
  $cover_l = array( $pfad, '/', $teil_str[1], '/', $teil_str[2], '/', $teil_cover[0], '-t', '.', $teil_cover[1] );
  $cover_t = implode("", $cover_a);
  $link_ct = implode("", $cover_l);
  
    if (file_exists($link_ct)){
      #print "Ja!<br>";
  	  print "<a href=\"$imgpath\">";
      print "<img width=\"80\" src=\"".$cover_t."\" height=\"80\" border=\"0\">";
  	  print "</a>";     
    }
    else{
      #print "Nein!<br>";
  	  print "<a href=\"$imgpath\">";
      print "<img width=\"80\" src=\"".$imgpath."\" height=\"80\" border=\"0\">";
  	  print "</a>";    
    }
				
			}
			else
			{
				$imgpath = "img/no-img-sm.gif";
				print "<a href=\"$imgpath\">";
				print "<img width=\"80\" src=\"".$imgpath."\" height=\"80\" border=\"0\">";
				print "</a>";
			}
			print "</td>";
			# Artist - Album Name
			print "<td class=\"trklst\">".$albumrecord["artist"]."</td>";
			print "<td class=\"trklst\"> - </td>";
			# Link zum Album
			$prefix = "browse.php?l0=thisalb&albid=";
			print "<td><a class=\"brslst\" href=\"".$prefix.$albumrecord["cddbid"]."\">"
			.$albumrecord["title"]."</a></td> ";

  #Album-Playlist-Link (by Merlot)
  print "<td class=\"trklst\">&nbsp;<a href=\"gdtrid2mp3.php?playtp=pr"
        ."&prAlbum=1" #don't use a new value for $playtp, it would interfere with cookie-settings
        ."&albid=".$albumrecord["cddbid"]
        ."&id=1"
        ."\">"."<img border=\"0\" src=\"img/dl.gif\" alt=\"Download\" title=\"abspielen/herunterladen\"></a></td>";

			print "</tr>";
      }
      print "</table>";
  # hier die Titel
	  if (isset($albid)){ # albumid / level 3 specified?
        $qrystr = "SELECT * FROM tracks WHERE sourceid = '$albid' ORDER BY tracknb ";
		}



  }

  ### Playlist
  if (strcmp($l0, "playlist")==0){
    print "<h4>Playlist</h4>";

print "<hr noshade>";
	# zurck Knopf
  if ($id <= 1)
    {
    # nichts machen
    }
  else
    {
    print "<br><table align='right' border='0' cellspacing='0' cellpadding='1'><tr><td class=\"menu".$sel."active\"><a class=\"menu\" href=\"javascript:history.go(-2)\">$output081</a></td></tr></table>";
    }

	if ($pl_id != 0)
		{
		if ($id != 0)
			{
			p_appendex ($pl_id, $title, $id);
			#### insert a title into playlist
			}
		p_playlist ($output080);
		print "<!-- --><a NAME='liste'></a><!-- -->";
		print "<hr noshade>";
		print "<table><tr>";
		
    print "<td><small>Playlist No. $pl_id - $title</small></td>";
		print "<td class=\"trklst\">&nbsp;<a href=\"gdtrid2mp3.php?playtp=pr"
				."&prPlaylist=$pl_id"
				."\">"."<img border=\"0\" src=\"img/dl.gif\" alt=\"Download\" title=\"$output080\"></a></td>";
		print "<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</td>";

    if (strcmp($tool, "edit")==0)		
      print "<td><a href=\"browse.php?l0=$l0&pl_id=$pl_id&title=$title&tool=no#liste\"><img border=\"0\" src=\"img/edit.png\" alt=\"Edit\" title=\"bearbeiten\"></a></td>";
    else
      print "<td><a href=\"browse.php?l0=$l0&pl_id=$pl_id&title=$title&tool=edit#liste\"><img border=\"0\" src=\"img/edit.png\" alt=\"Edit\" title=\"bearbeiten\"></a></td>";
    
    print "</tr></table>";
		p_listen ($pl_id, $title, $PATH_ABSOLUTE_mp3, $output080, $output082, $tool, $output091, $output092);
    }
	else
		{
		p_playlist ($output080);
		}
	# zurck Knopf
  if ($id <= 1)
    {
    # nichts machen
    }
  else
    {
    print "<table align='right' border='0' cellspacing='0' cellpadding='1'><tr><td class=\"menu".$sel."active\"><a class=\"menu\" href=\"javascript:history.go(-2)\">$output081</a></td></tr></table><br>";
    }
  }

  ### single Tracks
  if (strcmp($l0, "s_tr")==0){
    print "<h4>Single Tracks</h4>";
	strack_temp();
	$ergebnis = mysql_query( "INSERT INTO strack_temp SELECT * FROM tracks" );
	$ergebnis = mysql_query( "SELECT cddbid FROM album" );
	$anz_album = mysql_num_rows( $ergebnis );
#	print "$anz_album<br>";

	$a = 0;
	while ( $datensatz = mysql_fetch_row( $ergebnis ) )
    	{
    	foreach ( $datensatz as $feld )
		  	{
#			print "$feld<br>";
			$arr_id[$a] = $feld;
			$a++;
			}
		}
	$a--;
#	print "$a<br>";
#	print "$arr_id[$a]<br>";
	while ( $a >= 0)
		{
		$ergebnis = mysql_query( "DELETE FROM strack_temp WHERE sourceid like '$arr_id[$a]'" );
		$a--;
		}

    $tempquery = "SELECT * FROM strack_temp";
	$recset = mysql_db_query ("GiantDisc", $tempquery);
    if (mysql_affected_rows()>0){print("<p><small>".mysql_affected_rows()." single tracks</small><br>");}

	$ergebnis = mysql_db_query( "GiantDisc","select artist, title, id from strack_temp" );
echo("<table><tr><td><small><b>Artist</b></small></td><td><small><b>Title</b></small></td><td>&nbsp;</td></tr>");
$a = 0;
$track = 1;
$evenln = 1;
while ( $datensatz = mysql_fetch_row( $ergebnis ) )
    {
    foreach ( $datensatz as $feld )
		  {
		  switch ($a)
		  	{
			case 0:
				$artist = $feld;
				$a++;
			break;
			case 1:
				$title = $feld;
				$a++;
			break;
			case 2:
			    if ($evenln)
					{
					print "<tr class=\"lneven\">";
					}
				else
					{
      				print "<tr class=\"lnodd\">";
					}

				#print "<td class=\"trklst\">$track</td>";
				print "<td class=\"trklst\">$artist</td><td class=\"trklst\">$title</td>";
				$recset = mysql_db_query( "GiantDisc","select mp3file from tracks where $feld = id");
				while ( $datastep = mysql_fetch_row( $recset ) )
					{
					foreach ( $datastep as $field )
						{
						$httphost = $_SERVER["HTTP_HOST"];
						$l = strlen($PATH_ABSOLUTE_mp3) - 3;
						$mp3path = substr($PATH_ABSOLUTE_mp3,$l,3);
						print "<td class=\"trklst\"><a href=\"http://$httphost/music";
						print "$mp3path";
						print "/";
						print "$field\">";
						print "<img border=\"0\" src=\"img/dl.gif\" alt=\"Download\" title=\"$output080\"></a>
						&nbsp;&nbsp;&nbsp;<a href=\"appendpl.php?id=".$feld."\">"
		     			."<img border=\"0\" src=\"img/onetopl.gif\" alt=\"Append to Playlist\" title=\"$output079\"></a>
						</td>";

      $erg_lyric = mysql_db_query( "GiantDisc","select lyrics from tracks where id = $feld && lyrics IS NOT NULL");
      $anz_lyric = mysql_num_rows( $erg_lyric );
      if ($anz_lyric > 0)
        {
        print "<td>&nbsp; &nbsp; &nbsp;<a href=\"javascript:popUp1('lyric.php?id=$feld')\">";       
        print "<img border=\"0\" src=\"img/lyric_button.png\" alt=\"Lyric\" title=\"Lyric\"></a></td>";
        }    


            print "</tr>";

						}
					}

				#print "<img border=\"0\" src=\"img/dl.gif\" alt=\"Download\"></a></td></tr>";
				mysql_free_result($recset);
				$a = 0;
				$track++;
				$evenln = 1-$evenln;
			break;
			}
		  }
    }
echo("</table>");
mysql_free_result($ergebnis);
$ergebnis = mysql_db_query( "GiantDisc", "DROP TABLE strack_temp" );


  }

}
##########################################################

  print "<!-- --><a NAME='liste'></a><!-- -->";
if (strcmp($l0, "thisalb")!=0){
if(strlen($albid)>0){
  	$tempquery = "SELECT * FROM album WHERE cddbid LIKE '%$albid'";
    $recset = mysql_db_query ("GiantDisc", $tempquery);
	$a = 0;
	$anz_reihen = mysql_affected_rows();
if (mysql_affected_rows()>0){print "<hr noshade>";}else{print "<p>&nbsp;</p>";}
#	print "<hr>";
      print "<table borders=\"0\">";
      while($row = mysql_fetch_array($recset)) {
		$albumrecord = $row;
		$a++;
		print "<tr>";
		print "<td class=\"trklst\">";
			# Cover ausgeben
			if (strlen($albumrecord["coverimg"])>1){
				$imgpath = full_mp3_fname($albumrecord["coverimg"]);

#				print "hier<br>";

# 80*80 vom Cover anzeigen
  $pfad = getenv('DOCUMENT_ROOT');
  $teil_str = explode("/", $imgpath);
  $cover = $teil_str[3];
  $teil_cover = explode(".", $cover);
  $cover_a = array( '/', $teil_str[1], '/', $teil_str[2], '/', $teil_cover[0], '-t', '.', $teil_cover[1] );
  $cover_l = array( $pfad, '/', $teil_str[1], '/', $teil_str[2], '/', $teil_cover[0], '-t', '.', $teil_cover[1] );
  $cover_t = implode("", $cover_a);
  $link_ct = implode("", $cover_l);
  
    if (file_exists($link_ct)){
      #print "Ja!<br>";
  	  print "<a href=\"$imgpath\">";
      print "<img width=\"80\" src=\"".$cover_t."\" height=\"80\" border=\"0\">";
  	  print "</a>";     
    }
    else{
      #print "Nein!<br>";
  	  print "<a href=\"$imgpath\">";
      print "<img width=\"80\" src=\"".$imgpath."\" height=\"80\" border=\"0\">";
  	  print "</a>";    
    }				
				
#				print "<a href=\"$imgpath\">";
#				print "<img width=\"80\" src=\"".$imgpath."\" height=\"80\" border=\"0\">";
#				print "</a>";
			}
			else
			{
				$imgpath = "img/no-img-sm.gif";
				print "<a href=\"$imgpath\">";
				print "<img width=\"40\" src=\"".$imgpath."\" height=\"40\" border=\"0\">";
				print "</a>";
			}
			print "</td>";
			# Artist - Album Name
			print "<td class=\"trklst\">".$albumrecord["artist"]."</td>";
			print "<td class=\"trklst\"> - </td>";
			# Link zum Album
			$prefix = "browse.php?l0=thisalb&albid=";
			print "<td class=\"trklst\">"
			.$albumrecord["title"]."</td> ";

  #Album-Playlist-Link (by Merlot)
  print "<td class=\"trklst\">&nbsp;<a href=\"gdtrid2mp3.php?playtp=pr"
        ."&prAlbum=1" #don't use a new value for $playtp, it would interfere with cookie-settings
        ."&albid=".$albumrecord["cddbid"]
        ."&id=1"
        ."\">"."<img border=\"0\" src=\"img/dl.gif\" alt=\"Download\" title=\"$output080\"></a></td>";

			print "</tr>";
      }
      print "</table>";
}}
  #####################################################################

if(strlen($qrystr)>0){ # do query and show tracks
  if (strlen($rating)==0){$rating=0;}
  ### query tracks
  $recset = mysql_db_query ("GiantDisc", $qrystr);

  ### display the tracks
if(strlen($albid)<=0){
  if (mysql_affected_rows()>0){print "<hr noshade>";}else{print "<p>&nbsp;</p>";}
}
  print("<p><small><b>".mysql_affected_rows()." machting tracks</b></small></p>");
  print("<table border=\"0\" cellspacing=\"0\">\n");
  $evenln = 1;
  while($row = mysql_fetch_array($recset)) {
    if ($evenln){
      print "<tr class=\"lneven\">";
	}
	else{
      print "<tr class=\"lnodd\">";
	}
    show_trackrow($row,
	          $showartist, $showtitle, $showgenre, $showlang, $showyear, $showrating,
			  $showbpm, $showsource, $showcreated, $showmodified, $showlength,
			  $showedit, $showdownload, $playtp, $showtoplaylist, $output079, $output080);
    $evenln = 1-$evenln; #toggle $evenln

	print "</tr>\n";
  }
  print("</table>\n");
  mysql_free_result($recset);
  mysql_close( $link );
}
?>

<hr noshade>

<p>

<?php
print_footer ("browse");
?>